var params = require('./params.js');

var api_web_url = params.api_web_url;
var up_img_url = params.up_img_url;
const gps_url = params.gps_url;
var config = {
	APP_VERSION: '4.1.2024040101',
	APP_VERSION_DESC: '优化小程序',
	QQ_MAP_KEY: 'Q7DBZ-BQH65-MEMIO-Q7LEF-S43Z3-G6B34',
	// 腾讯地图api key
	QINIU_SITE: 'https://qiniu.bms16.com/',
	// 拉取图片地址
	QINIU_UPLOAD_SITE: 'https://up-z2.qiniup.com/',
	// 七牛上传地址
	API_QINIU_UP_IMG_TOKEN: up_img_url + '?r=qiniu/token-v2',
	// 获取上传token
	API_GET_OPEN_ID: api_web_url + '?r=user/get-open-id',
	API_REPORT_USER_INFO: api_web_url + '?r=user/report-user-info',
	API_USER_VERIFY_CODE: api_web_url + '?r=user/verify-code',
	API_USER_LOGIN: api_web_url + '?r=user/login',
	API_USER_LOGIN_V2: api_web_url + '?r=user/login-app',
	API_USER_LOGIN_ALI: api_web_url + '?r=user/login-ali',
	API_USER_INFO: api_web_url + '?r=user/info',
	API_USER_PAY: api_web_url + '?r=user/pay',
	API_USER_BLUETOOTH_PAY: api_web_url + '?r=cabinet/bluetooth-hire',
	API_USER_AUTH_IDENTITY: api_web_url + '?r=user/auth-identity',
	API_USER_RETURN_APPLY: api_web_url + '?r=user/return-apply',
	API_USER_ORDER_LIST: api_web_url + '?r=user/order-list',
	API_USER_REFUND_LIST: api_web_url + '?r=user/refund-list',
	API_USER_CONTRACT_LIST: api_web_url + '?r=user/contract-list',
	//合同每个订单使用
	API_ORDER_CONTRACT: api_web_url + '?r=user/order-contract',
	API_SHOP_NEAR_LIST: api_web_url + '?r=shop/near-list',
	API_SHOP_INFO: api_web_url + '?r=shop/shop-info',
	API_USER_SHOP_INFO: api_web_url + '?r=user/shop-info',
	API_INDEX_SCAN: api_web_url + '?r=index/scan',
	API_INDEX_APP_CONFIG: api_web_url + '?r=index/app-config',
	API_BATTERY_LIST: api_web_url + '?r=battery/list',
	API_BATTERY_ALL_WARN: api_web_url + '?r=battery/all-battery-warn-list',
	API_BATTERY_SET_ALARM_PUSH: api_web_url + '?r=battery/set-alarm-push',
	API_BATTERY_GET_ALARM_STATUS: api_web_url + '?r=battery/get-alarm-status',
	API_BATTERY_ON_OFF: api_web_url + '?r=battery/on-off',
	API_BATTERY_USER_EXCHANGE: api_web_url + '?r=battery/user-exchange',
	API_QV_CONFIG: api_web_url + '?r=battery/get-qv-config-content',
	API_FORMID_REPORT: api_web_url + '?r=formid/report',
	API_CONTRACT_TITLE: api_web_url + '?r=contract/titles',
	API_CONTRACT_GET: api_web_url + '?r=contract/get',
	API_ACTIVITY_GET: api_web_url + '?r=shop/activity-get',
	API_TOP_ACTIVITY_LIST: api_web_url + '?r=shop/activity-list',
	API_REPAIR_LIST: api_web_url + '?r=shop/repair-type-list',
	API_REPAIR_APPLY: api_web_url + '?r=shop/repair-apply',
	//充电柜
	API_CHARGE_INFO: api_web_url + '?r=charge/scan',
	API_CHARGE_LIST: api_web_url + '?r=charge/list',
	API_CHARGE_POP: api_web_url + '?r=charge/charge-pop',
	API_CHARGE_PAY: api_web_url + '?r=charge/pay',
	API_CANCEL_CHARGE_PAY: api_web_url + '?r=charge/cancel-pay',
	API_CHARGE_STATUS: api_web_url + '?r=charge/charge-status',
	API_CHARGE_EXTRACT: api_web_url + '?r=charge/extract',
	//取电
	API_CHARGE_EXTRACT_STATUS: api_web_url + '?r=charge/extract-status',
	API_CHARGE_EXTRACT_EX_STATUS: api_web_url + '?r=charge/exchange-status',
	API_CHARGE_EXTRACT_CANCEL: api_web_url + '?r=charge/extract-cancel',
	API_CANCEL_CHARGE_EX_PAY: api_web_url + '?r=charge/exchange-pay-cancel',
	API_CHARGE_HISTORY: api_web_url + '?r=charge/charge-history',
	API_CHARGE_EXCHANGE: api_web_url + '?r=charge/charge-exchange',
	// API_CANCEL_CHARGE_EXTRACT_PAY:api_web_url + '?r=charge/extract-cancel',
	// 换电柜
	API_CABINET_LIST: api_web_url + '?r=cabinet/list',
	API_CABINET_INFO: api_web_url + '?r=cabinet/info',
	API_CABINET_USER_BATTERY_LIST: api_web_url + '?r=cabinet/user-battery-list',
	API_CABINET_CHANGE_BATTERY: api_web_url + '?r=cabinet/change-battery',
	API_CABINET_CHANGE_BATTERY2: api_web_url + '?r=cabinet/change-battery-v2',
	API_CABINET_CHANGE_BATTERY_STATUS: api_web_url + '?r=cabinet/change-battery-status',
	API_CABINET_GET_HIRE_BATTERY: api_web_url + '?r=cabinet/get-hire-battery',
	API_CABINET_GET_HIRE_BATTERY2: api_web_url + '?r=cabinet/get-hire-battery-v2',
	API_CABINET_RETURN_HIRE_BATTERYI: api_web_url + '?r=cabinet/rt-hire-battery',
	API_CABINET_GET_RETURN_HIRE_STATUS: api_web_url + '?r=cabinet/get-rt-hire-status',
	//机柜蓝牙
	API_CABINET_BLUETOOTH_INFO: api_web_url + '?r=cabinet/bluetooth-report',
	API_CABINET_BLUETOOTH_HIRE: api_web_url + '?r=cabinet/bluetooth-hire-success',
	API_CABINET_BLUETOOTH_EXCHANGE: api_web_url + '?r=cabinet/bluetooth-exchange',
	API_CABINET_BLUETOOTH_RETURN: api_web_url + '?r=cabinet/bluetooth-return',
	API_CABINET_BLUETOOTH_EXCHANGE_SUCCESS: api_web_url + '?r=cabinet/bluetooth-exchange-success',
	API_CABINET_BLUETOOTH_RETURN_SUCCESS: api_web_url + '?r=cabinet/bluetooth-return-success',
	//上报机柜日志
	API_CABINET_BLUETOOTH_LOG: api_web_url + '?r=cabinet/bl-up',
	// gps 相关接口
	API_GPS_ALARM_LIST: gps_url + '?r=index/alarm',
	API_GPS_TRACK_LIST: gps_url + '?r=index/track',
	API_GPS_LOCATION: gps_url + '?r=index/location',
	API_COMMISSION_APPLY: api_web_url + '?r=shop/commission-apply',
	API_COMMISSION_PROFIT: api_web_url + '?r=shop/commission-profit',
	API_USER_EXCHANGE: api_web_url + '?r=battery/user-exchange',
	API_EXCHANGE_INFO: api_web_url + '?r=battery/exchange-info',
	API_REPORT_BMS: api_web_url + '?r=bms/report-bms-data',
	API_GET_CTL: api_web_url + '?r=bms/get-ctl-data',
	//上报信息
	API_PUSH_INFO: api_web_url + '?r=user/push-info',
	// 全局常量定义
	STORAGE_OPEN_ID: 'storage_open_id',
	STORAGE_ALARM_LIST_KEY: 'storage_alarm_list_key',
	//获取电量
	API_ELE_QUANTITY: api_web_url + '?r=battery/electric-quantity',
	API_QV_CONFIG: api_web_url + '?r=battery/qv-config-content',
	//获取设备报警类型
	API_SMS_GET_DEVICE_SET: api_web_url + '?r=bms-warning/get-device-setting',
	//设置报警类型
	API_SMS_SAVE_SET: api_web_url + '?r=bms-warning/device-setting',
	//获取支付配置
	API_COIN_CONFIG: api_web_url + '?r=bms-warning/coin-product',
	//短信充值下单
	API_COIN_CREDIT: api_web_url + '?r=bms-warning/coin-credit',
	//短信报警数据
	API_ALARM_SUMMARY: api_web_url + '?r=bms-warning/alarm-summary',
	//开关短信报警状态
	API_CLOSE_ALARM: api_web_url + '?r=bms-warning/close-alarm',
	//短信报警记录
	API_RECORD_LIST: api_web_url + '?r=bms-warning/alarm-list',
	//获取金币
	API_GET_COIN: api_web_url + '?r=bms-warning/coin',
	//是否有可领用优惠券
	API_HAS_COUPON: api_web_url + '?r=bms-warning/has-coupon',
	//使用优惠券
	API_USE_COUPON: api_web_url + '?r=bms-warning/use-coupon',
	//充值记录
	API_GET_COIN_ORDER: api_web_url + '?r=bms-warning/coin-order',
	//流水钱包
	API_GET_COIN_HISTORY: api_web_url + '?r=bms-warning/coin-history',
	//开通换电功能
	API_EXCHANGE_FUNCTION: api_web_url + '?r=battery/pay-exchange-func',
	//取消支付门店换电换电
	API_CANCEL_SHOP_EX: api_web_url + '?r=battery/cancel-user-exchange',
	//取消租赁支付订单
	API_CANCEL_PAY: api_web_url + '?r=user/cancel-pay',
	//换电取消支付
	API_CANCEL_EX_PAY: api_web_url + '?r=cabinet/cancel-change-battery',
	//柜子下可用电池列表
	API_CABINET_BATTERY_LIST: api_web_url + '?r=cabinet/get-hire-battery-list',
	//优惠活动
	API_PACKAGE_ACT_LIST: api_web_url + '?r=package/activity-list',
	API_PACKAGE_PAY: api_web_url + '?r=package/pay',
	API_PACKAGE_LIST: api_web_url + '?r=package/list',
	API_PACKAGE_ORDER_QUERY: api_web_url + '?r=package/order-query',
	//个人推广活动信息
	API_PROMOTE_INFO: api_web_url + '?r=promote/info',
	//用户积分列表
	API_PROMOTE_SCORE_LIST: api_web_url + '?r=promote/score-list',
	//获取提现配置
	API_PROMOTE_WITHDRAW_SET: api_web_url + '?r=promote/withdraw-setting',
	//申请提现
	API_PROMOTE_APPLY_WITHDRAW: api_web_url + '?r=promote/withdraw',
	//邀请列表
	API_PROMOTE_INVITE_LIST: api_web_url + '?r=promote/invite-list',
	//绑定分享人
	API_PROMOTE_BIND: api_web_url + '?r=promote/bind',
	//获取有优惠券可领取的活动列表
	API_ACTIVITY_LIST: api_web_url + '?r=voucher/activity-list',
	//活动下优惠券列表
	API_VOUCHER_LIST: api_web_url + '?r=voucher/list',
	//优惠券一键领取
	API_GET_VOUCHER: api_web_url + '?r=voucher/get-voucher',
	//用户优惠券
	API_VOUCHER_USER: api_web_url + '?r=voucher/my-voucher',
	//微信登录
	API_WX_PHONE_LOGIN: api_web_url + '?r=user/wx-phone-login',

	//邀请码
	API_BATTERY_CONFIG_INFO: api_web_url + '?r=index/battery-config-info',

	//扫码车
	API_SCAN_LICENSE_PLATE_NUMBER: api_web_url + '?r=index/scan-license-plate-number',

	//***暂存功能模块***//
	//申请存储电池
	API_STASH_STASH: api_web_url + '?r=stash/stash',
	API_STASH_LIST: api_web_url + '?r=stash/list',
	API_STASH_EXTRACT: api_web_url + '?r=stash/extract',
	API_STORE_STATUS: api_web_url + '?r=stash/store-status',
	API_EXTRACT_STATUS: api_web_url + '?r=stash/extract-status',
	API_SHOP_PAY: api_web_url + '?r=stash/shop-pay',
	API_CANCEL_EXTRACT_PAY: api_web_url + '?r=stash/cancel-extract',
	//代扣签约
	API_WITHHOLD_BEGIN: api_web_url + '?r=withholding/begin',
	//去开通免押
	API_ALI_FREEZE: api_web_url + '?r=user/ali-freeze',
	//查询是否开通免押状态
	API_ALI_FREEZE_STATUS: api_web_url + '?r=user/ali-freeze-status',

	// 短租
	API_SHOP_ADMIN_AREA_TREE: api_web_url + '?r=shop/admin-area-tree',
	API_SHOP_AREA_CODE_TO_ADMIN: api_web_url + '?r=shop/area-code-to-admin',
	//商城
	API_AREA_CHILDREN: api_web_url + '?r=area/children',
	API_SET_JOB_INFO: api_web_url + '?r=user/set-job-info',
	//短租附近门店和推荐车辆
	API_SHOP_NEAR_LIST_V2: api_web_url + '?r=shop/short-hire-near-list-v2',
	//门店可租车型
	API_SHOP_CAR_MODEL_ACTIVITY_LIST: api_web_url + '?r=shop/short-shop-car-model-activity-list',
	//门店可租车型
	API_SHOP_VEHICLE_BUSINESS_TYPE: api_web_url + '?r=shop/vehicle-battery-business-type',
	//商城租车租电买车套餐列表
	API_SHOP_GET_LIST_BY_SERVICE_TYPE: api_web_url + '?r=vehicle-battery-package/get-list-by-service-type',
	// 支付
	API_USER_VEHICLE_BATTERY_PACKAGE_PAY: api_web_url + '?r=user-vehicle-battery-package/pay',
	//取消支付
	API_USER_VEHICLE_BATTERY_PACKAGE_PAY_CANCEL: api_web_url + '?r=user-vehicle-battery-package/pay-cancel',
	//订单列表
	API_USER_VEHICLE_BATTERY_ORDER_LIST: api_web_url + '?r=user-vehicle-battery-package/order-list',
	//扫码提取
	API_USER_VEHICLE_BATTERY_EXTRACT_ORDER: api_web_url + '?r=user-vehicle-battery-package/extract-order',
	//申请退款
	API_USER_VEHICLE_BATTERY_REFUND_ORDER: api_web_url + '?r=user-vehicle-battery-package/refund-order',
	API_USER_ADDRESS_LIST: api_web_url + '?r=user-address/list',
	API_GET_ALL_AREA_LIST: api_web_url + '?r=index/get-all-area-list',
	//地址
	API_USER_ADDRESS_ADD: api_web_url + '?r=user-address/add',
	API_USER_ADDRESS_DEL: api_web_url + '?r=user-address/del',
	//
	API_ADVANCE_CANCLE_HIRE: api_web_url + '?r=advance-hire/cancel-hire',
	API_ADVANCE_CONFIG: api_web_url + '?r=advance-hire/config',
	API_ADVANCE_HIRE: api_web_url + '?r=advance-hire/advance-hire',
	API_ADVANCE_HIRE_CANCEL: api_web_url + '?r=advance-hire/cancel-hire',
	API_ADVANCE_EXTRACT: api_web_url + '?r=advance-hire/extract',
	API_ADVANCE_EXTRACT_ORDER_LIST: api_web_url + '?r=advance-hire/no-extract-order-list',

	//扫码绑定用户支付宝账号关系
	API_SHOP_ALI_COMMISSION_PROFIT: api_web_url + '?r=shop/ali-commission-profit',

	API_VEHICLE_BATTERY_PACKAGE_GET_LIST_BY_ORDERSN: api_web_url + '?r=vehicle-battery-package/get-list-by-ordersn',
	API_USER_VEHICLE_BATTERY_PACKAGE_RENEWAL: api_web_url + '?r=user-vehicle-battery-package/renewal',

};
module.exports = config;